UbixOS V2 2.0

Public Member Functions
udp_hdr Struct Reference

`#include <udp.h>`

Collaboration diagram for udp_hdr:

## Public Member Functions
| PACK_STRUCT_FIELD (u16_t chksum)
| PACK_STRUCT_FIELD (u16_t dest)
| PACK_STRUCT_FIELD (u16_t len)
| PACK_STRUCT_FIELD (u16_t src)

## Detailed Description

Definition at line 53 of file udp.h.

## Member Function Documentation

## ◆ PACK_STRUCT_FIELD() [1/4]

udp_hdr::PACK_STRUCT_FIELD | ( | u16_t | chksum | ) |

## ◆ PACK_STRUCT_FIELD() [2/4]

udp_hdr::PACK_STRUCT_FIELD | ( | u16_t | dest | ) |

## ◆ PACK_STRUCT_FIELD() [3/4]

udp_hdr::PACK_STRUCT_FIELD | ( | u16_t | len | ) |

## ◆ PACK_STRUCT_FIELD() [4/4]

udp_hdr::PACK_STRUCT_FIELD | ( | u16_t | src | ) |

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/prot/udp.h